ramond(8)

NAME
ramond - IPv6 Router Advertisement MONitor Daemon

SYNOPSIS
ramond [ -c configfile ] [ -d ]

ramond -h

DESCRIPTION

This manual page documents briefly the ramond command.

ramond is a daemon program monitoring IPv6 router advertisement packets. When an advert is reveived, a configurable action occurs.

ramond was designed to “clear” (by sending spoofed zero lifetime adverts) rogue routes sent by users running 6to4 gateways on a campus network. Actions are scriptable. Almost all the available information is passed to a script via environmental variables (see the ENVIRONMENT section for details).

OPTIONS

The program follows the usual GNU command line syntax, without long options. A summary of options is included below.

-c configfile
    Sets the path to the ramond configuration file. Default is /etc/ramond.conf

-d  Do not daemonize.

-h  Show summary of options.

FILES

/etc/ramond.conf
    The system-wide configuration file to control the behaviour of ramond. See ramond.conf(5) for further details.

ENVIONMENT

This section details the environment variables set by ramond when it runs a user-configured script.

PREFIX
    The advertised prefix, or null

PREFIX_LEN
    The length of the advertised prefix, or null

SOURCE_ADDR
    The IPv6 source address of the packet

SOURCE_MAC
    The MAC source address of the packet

INTERFACE
    The interface which the packet was received on

SEE ALSO

ramond.conf(5)

AUTHORS

James Morse <morse_@users.sourceforge.net>
    Wrote the ramond software.

Nicolas Dandrimont <nicolas.dandrimont@crans.org>
    Wrote this manpage for the Debian system.

COPYRIGHT
Copyright © 2010 Nicolas Dandrimont

This manual page was written for the Debian system (and may be used by others).

Permission is granted to copy, distribute and/or modify this document under the terms of the usual 3-clause BSD license.

On Debian systems, the complete text of the 3-clause BSD license License can be found in /usr/share/doc/ramond/copyright.